#!/bin/bash

for noise_type in random curl
do 
    for aggregation in mean
    do 
        for activations in tanh 
        do 
            for hidden_features in  64
            do 
                for layers in 3  
                do 
                    s=$(printf "\--model_name mpsn --hidden_features %d --layers %d --aggregation %s --activations %s --noise_type %s" $hidden_features $layers $aggregation $activations $noise_type)
                    s="${s:1}"
                    python forex/forex_denoise.py $s
                done
            done
        done
    done
done 
